読者です 読者をやめる 読者になる 読者になる

niiyan's blog

niiyanの個人ブログ。

AvsP 日本語化ファイルを使うと AvsPmod v2.2.0 がクラッシュする問題に対応(暫定)

しばらく更新していなかった AvsP 用の日本語化ファイルですが、AvsPmod v2.2.0 で不具合が発生するようになったようです。

AvsPmodを2.2.0に更新したらErrorで起動しない.なんでかなと思ったらどうも日本語化用言語ファイルが原因くさい.2.1.8まではavisynth.infoにあるniiyanさんのAvsP日本語化用言語ファイルで日本語化できるけど2.2.0は起動すらしない.

https://twitter.com/#!/K4095/statuses/86665451949654017

ためしに AvsPmod v2.2.0 に AvsP v2.0.2 用の日本語化ファイルを入れてみたところ、たしかに AvsPmod が強制終了しました。

エラーのログを見ても原因がよくわからなかったのですが、たまたま原因とおぼしき箇所を発見したので、さきほど修正したファイルをアップしました。

https://skydrive.live.com/redir.aspx?cid=adc0ad43e645aeed&resid=ADC0AD43E645AEED!105

avsp_ja_v2.0.2_rev2 というのが新しくアップしたものです。一度、お試しください。

今回の更新は、クラッシュを防ぐための暫定的なものです。問題の箇所以外は変更していませんので、一部のメニューは未訳のままとなっています。あらかじめ、ご了承ください。

ちなみに、問題の箇所は、

    "Zoom" : u"ズーム",

でした。

この部分の日本語訳を削除すると、AvsPmod が起動するようになりました。

2010-07-05 22:58 追記

AvsPmod の開発者の一人である ANGEL_SU 氏によると、今回の問題は AvsPmod v2.2.0 のバグだとのことです。次のバージョンでは修正されるものと思われます。

以下、引用です:

@niiyan
My bad. It is actually a bug in AvsPmod v2.2.0. Thanks for your report.

http://forum.doom9.org/showthread.php?p=1511634#post1511634
広告を非表示にする